package jp.agentec.abook.abv.bl.dto;

/**
 * Created by leej on 2018/09/10.
 */

public class TaskReportItemsDto extends AbstractDto {

    public String taskKey;
    public int taskReportLevel;
    public String itemKey;
    public String inputValue;

    @Override
    public String[] getKeyValues() {
        return new String[] {""+taskKey};
    }

    @Override
    public Object[] getInsertValues() {
        return new Object[] {taskKey, taskReportLevel, itemKey, inputValue};
    }

    @Override
    public Object[] getUpdateValues() {
        return new Object[] { inputValue, taskReportLevel, itemKey, taskKey };
    }
}